Bug 825335

Summary: Message center details view 'hides' real cause
Product: [Other] RHQ Project Reporter: Charles Crouch <ccrouch>
Component: Core UIAssignee: RHQ Project Maintainer <rhq-maint>
Status: NEW --- QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.4CC: hbrock, hrupp, jsanda, mazz
Target Milestone: ---   
Target Release: JON 3.1.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 824898
: 832157 (view as bug list) Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 824898    
Bug Blocks: 832157    

Description Charles Crouch 2012-05-25 14:01:03 EDT
+++ This bug was initially created as a clone of Bug #824898 +++

I tried to add an as7 manually in the release branch and it failed with the red 
bar. So I wen to the message center to see what is going on.
Remember that I have a 1920*x screen. So pretty wide. And still I had to scroll 
8k pixels to the right in order to see the
real message that the plugin wanted to tell me.

For the user this is a usability issue.

We should in the first "Details" line only show the message from the inner most 
exception (what is on the right side of the screen)

And then lower down (after some newlines) show what we have today.
Bonus points for replacing each '->' in the original details line with a line 
break (or adding the line break before '->'
Comment 1 Mike Foley 2012-05-29 10:41:25 EDT
per BZ Triage 5/29/2012 (ccrouch, loleary, asantos, mfoley, myarborough) moving these to JON 3.1.1 or later
Comment 2 John Sanda 2012-06-14 13:20:53 EDT
*** Bug 832157 has been marked as a duplicate of this bug. ***